% definindo o sistema de EDOs
c(1)=1;
c(2)=-1;
a(1,1)=0;
a(1,2)=1;
a(2,1)=1;
a(2,2)=0;
F = @(s,z) LotkaVolterra(s,z,a,c);

% condicoes iniciais
xi = 1;         % valor inicial minimo de x1
xf = 3;         % valor inicial maximo de x1
dx1 = 0.05;     % acrescimo no valor inicial de x1
x20 = 1;        % valor inicial de x2

% parametros de resolucao
t0 = 0;         % tempo inicial
tf = 10;        % tempo final
h = 0.01;       % passo inicial de integracao
Tol = 1e-6;     % erro maximo tolerado

figure;

% aplicando o metodo RKF45
for x10=xi:dx1:xf
  
  z0=[x10,x20];     % condição inicial

  [t,z] = RKF45(t0,tf,h,z0,F,Tol);

% representacao grafica do resultado
  plot(z(:,1),z(:,2))
  hold on

end
